NonPersistentMessageExchangeCorrelatorService (Axis API)
Keywords: org.apache.axis.ime.internal.NonPersistentMessageExchangeCorrelatorService,NonPersistentMessageExchangeCorrelatorService class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.ime.internal
Class NonPersistentMessageExchangeCorrelatorService

    java.lang.Object
      |
      +--org.apache.axis.ime.internal.NonPersistentMessageExchangeCorrelatorService

All Implemented Interfaces:
  MessageExchangeCorrelatorService

public class NonPersistentMessageExchangeCorrelatorService
extends java.lang.Object
implements MessageExchangeCorrelatorService

Author:
  James M Snell (jasnell@us.ibm.com)

Constructor Summary
`NonPersistentMessageExchangeCorrelatorService()`

Method Summary
`java.lang.Object` | `get(MessageExchangeCorrelator correlator)`
`void` | `put(MessageExchangeCorrelator correlator, java.lang.Object context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonPersistentMessageExchangeCorrelatorService

    public NonPersistentMessageExchangeCorrelatorService()

Method Detail

### put

    public void put(MessageExchangeCorrelator correlator,
                    java.lang.Object context)

  Specified by:
    `put` in interface `MessageExchangeCorrelatorService`
  See Also:
    `org.apache.axis.ime.MessageExchangeCorrelatorService#put(MessageExchangeCorrelator, MessageExchangeContext)`

### get

    public java.lang.Object get(MessageExchangeCorrelator correlator)

  Specified by:
    `get` in interface `MessageExchangeCorrelatorService`
  See Also:
    `org.apache.axis.ime.MessageExchangeCorrelatorService#get(MessageExchangeCorrelator)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.